Index: code/branches/menue/data/levels/asteroids.oxw
===================================================================
--- code/branches/menue/data/levels/asteroids.oxw	(revision 8916)
+++ code/branches/menue/data/levels/asteroids.oxw	(revision 8927)
@@ -1,5 +1,6 @@
 <LevelInfo
  name = "Asteroids Race"
- description = "testmap for gametype asteroid race"
+ description = "Testmap for gametype asteroid race"
+ tags = "test"
  screenshot = "asteroids.png"
 />
Index: code/branches/menue/data/levels/docking.oxw
===================================================================
--- code/branches/menue/data/levels/docking.oxw	(revision 8916)
+++ code/branches/menue/data/levels/docking.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Transporter"
  description = "Level with a Transporter. Demonstrates the docking system."
- tags = ""
+ tags = "showcase"
  screenshot = "transporter.png"
 />
Index: code/branches/menue/data/levels/dynamicMatch.oxw
===================================================================
--- code/branches/menue/data/levels/dynamicMatch.oxw	(revision 8916)
+++ code/branches/menue/data/levels/dynamicMatch.oxw	(revision 8927)
@@ -1,5 +1,6 @@
 <LevelInfo
  name = "Dynamic Match"
- description = "In progress -level for dynamicmatch"
+ description = "In progress - Level for dynamicmatch"
+ tags = "test"
  screenshot = "dynamicMatch.png"
 />
Index: code/branches/menue/data/levels/fightInOurBack.oxw
===================================================================
--- code/branches/menue/data/levels/fightInOurBack.oxw	(revision 8916)
+++ code/branches/menue/data/levels/fightInOurBack.oxw	(revision 8927)
@@ -2,5 +2,5 @@
   name = "Fight in our Back"
   description = "Our fleet is far ahead of us. We need to get rid of all the enemies in its back, because we do not want our enemies to attack from everywhere. So let us clear this Sector!"
-  tags = ""
+  tags = "mission"
   screenshot = "fightinourback.png"
 />
Index: code/branches/menue/data/levels/lastManStanding.oxw
===================================================================
--- code/branches/menue/data/levels/lastManStanding.oxw	(revision 8916)
+++ code/branches/menue/data/levels/lastManStanding.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Last Man Standing"
  description = "Be the sole survivor."
- tags = ""
+ tags = "mission"
  screenshot = "lastmanstanding.png"
 />
Index: code/branches/menue/data/levels/lastTeamStanding.oxw
===================================================================
--- code/branches/menue/data/levels/lastTeamStanding.oxw	(revision 8916)
+++ code/branches/menue/data/levels/lastTeamStanding.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Last Team Standing"
  description = "Survive as a team."
- tags = "singleplayer"
+ tags = "mission"
  screenshot = "lastteamstanding.png"
 />
Index: code/branches/menue/data/levels/lastTeamStandingII.oxw
===================================================================
--- code/branches/menue/data/levels/lastTeamStandingII.oxw	(revision 8916)
+++ code/branches/menue/data/levels/lastTeamStandingII.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "On the fly"
  description = "Survive as a team."
- tags = ""
+ tags = "mission"
  screenshot = "onthefly.png"
 />
Index: code/branches/menue/data/levels/pong.oxw
===================================================================
--- code/branches/menue/data/levels/pong.oxw	(revision 8916)
+++ code/branches/menue/data/levels/pong.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Pong"
  description = "Pong in space!"
- tags = ""
+ tags = "showcase"
  screenshot = "pong.png"
 />
Index: code/branches/menue/data/levels/portals.oxw
===================================================================
--- code/branches/menue/data/levels/portals.oxw	(revision 8916)
+++ code/branches/menue/data/levels/portals.oxw	(revision 8927)
@@ -3,5 +3,5 @@
  name = "Portals"
  description = "Level for testing portals"
- tags = "tutorial"
+ tags = "test"
  screenshot = "portals.png"
 />
Index: code/branches/menue/data/levels/presentationFS11.oxw
===================================================================
--- code/branches/menue/data/levels/presentationFS11.oxw	(revision 8916)
+++ code/branches/menue/data/levels/presentationFS11.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Presentation FS11"
  description = "Presentation level spring semester '11"
- tags = "test"
+ tags = "presentation"
  screenshot = "presentationfs11.png"
 />
Index: code/branches/menue/data/levels/princessAeryn.oxw
===================================================================
--- code/branches/menue/data/levels/princessAeryn.oxw	(revision 8916)
+++ code/branches/menue/data/levels/princessAeryn.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "The Tale of Princess Aeryn"
  description = "The Tale of the elusive but beautiful Princess Aeryn"
- tags = ""
+ tags = "mission"
  screenshot = "thetaleofprincessaeryn.png"
 />
Index: code/branches/menue/data/levels/screenshot.oxw
===================================================================
--- code/branches/menue/data/levels/screenshot.oxw	(revision 8916)
+++ code/branches/menue/data/levels/screenshot.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Screenshot"
  description = "Level to make awesome screenshots in."
- tags = "test"
+ tags = "test, showcase"
  screenshot = "screenshot.png"
 />
Index: code/branches/menue/data/levels/sound.oxw
===================================================================
--- code/branches/menue/data/levels/sound.oxw	(revision 8916)
+++ code/branches/menue/data/levels/sound.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Sound showcase"
  description = "Level to test and showcase sound."
- tags = "test"
+ tags = "test, showcase"
  screenshot = "soundshowcase.png"
 />
Index: code/branches/menue/data/levels/teamBaseMatch.oxw
===================================================================
--- code/branches/menue/data/levels/teamBaseMatch.oxw	(revision 8916)
+++ code/branches/menue/data/levels/teamBaseMatch.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Teambase Match"
  description = "Fight for the bases."
- tags = ""
+ tags = "mission"
  screenshot = "teambasematch.png"
 />
Index: code/branches/menue/data/levels/teamDeathMatch.oxw
===================================================================
--- code/branches/menue/data/levels/teamDeathMatch.oxw	(revision 8916)
+++ code/branches/menue/data/levels/teamDeathMatch.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Team Deathmatch"
  description = "Fight against each other in teams."
- tags = ""
+ tags = "mission"
  screenshot = "teamdeathmatch.png"
 />
Index: code/branches/menue/data/levels/tetris.oxw
===================================================================
--- code/branches/menue/data/levels/tetris.oxw	(revision 8916)
+++ code/branches/menue/data/levels/tetris.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Tetris"
  description = "Tetris in space!"
- tags = ""
+ tags = "showcase"
  screenshot = "tetris.png"
 />
Index: code/branches/menue/data/levels/theTimeMachine.oxw
===================================================================
--- code/branches/menue/data/levels/theTimeMachine.oxw	(revision 8916)
+++ code/branches/menue/data/levels/theTimeMachine.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "The Time Machine"
  description = "A simple level. The only goal is to defeat as much enemies as you can."
- tags = "singleplayer"
+ tags = "mission"
  screenshot = "thetimemachine.png"
 />
Index: code/branches/menue/data/levels/underAttack.oxw
===================================================================
--- code/branches/menue/data/levels/underAttack.oxw	(revision 8916)
+++ code/branches/menue/data/levels/underAttack.oxw	(revision 8927)
@@ -2,4 +2,5 @@
  name = "UnderAttack testing"
  description = "A simple testlevel"
+ tags = "test"
  screenshot = "underattack.png"
 />