Index: code/branches/menue/data/levels/FPSTest.oxw
===================================================================
--- code/branches/menue/data/levels/FPSTest.oxw	(revision 8931)
+++ code/branches/menue/data/levels/FPSTest.oxw	(revision 8958)
@@ -15,8 +15,5 @@
 ?>
 
-<Level
- name         = "fps"
- description  = "tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/asteroids.oxw
===================================================================
--- code/branches/menue/data/levels/asteroids.oxw	(revision 8931)
+++ code/branches/menue/data/levels/asteroids.oxw	(revision 8958)
@@ -14,7 +14,5 @@
 
 <Level
- name         = "Asteroids Race"
- description  = "Reach the checkpoints and avoid asteroids."
- gametype     =  Asteroids
+ gametype = "Asteroids"
 >
   <templates>
Index: code/branches/menue/data/levels/docking.oxw
===================================================================
--- code/branches/menue/data/levels/docking.oxw	(revision 8931)
+++ code/branches/menue/data/levels/docking.oxw	(revision 8958)
@@ -13,8 +13,5 @@
 ?>
 
-<Level
- name         = "Transporter"
- description  = "Docking example level"
->
+<Level>
   <templates>
     <Template link="lodtemplate_default" />
Index: code/branches/menue/data/levels/dynamicMatch.oxw
===================================================================
--- code/branches/menue/data/levels/dynamicMatch.oxw	(revision 8931)
+++ code/branches/menue/data/levels/dynamicMatch.oxw	(revision 8958)
@@ -16,7 +16,5 @@
 
 <Level
- name         = "Dynamic Match"
- description  = "In progress -level for dynamicmatch"
- gametype     = "Dynamicmatch"
+ gametype = "Dynamicmatch"
 >
   <templates>
Index: code/branches/menue/data/levels/earth.oxw
===================================================================
--- code/branches/menue/data/levels/earth.oxw	(revision 8931)
+++ code/branches/menue/data/levels/earth.oxw	(revision 8958)
@@ -13,8 +13,5 @@
 ?>
 
-<Level
- name         = "Planet Earth"
- description  = "1:100 Scale Model of Earth with Gravity"
->
+<Level>
   <templates>
     <Template link="lodtemplate_default" />
Index: code/branches/menue/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/menue/data/levels/emptyLevel.oxw	(revision 8931)
+++ code/branches/menue/data/levels/emptyLevel.oxw	(revision 8958)
@@ -17,8 +17,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/events.oxw
===================================================================
--- code/branches/menue/data/levels/events.oxw	(revision 8931)
+++ code/branches/menue/data/levels/events.oxw	(revision 8958)
@@ -14,8 +14,5 @@
 ?>
 
-<Level
- name         = "Event testing"
- description  = "A simple level to test the event-system (with comments)"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/fightInOurBack.oxw
===================================================================
--- code/branches/menue/data/levels/fightInOurBack.oxw	(revision 8931)
+++ code/branches/menue/data/levels/fightInOurBack.oxw	(revision 8958)
@@ -109,7 +109,5 @@
 <!--*****************************************************************************************************************************************************************************************-->
 <Level
-  name="Fight in our back"
-  description="Our fleet is far ahead of us. We need to get rid of all the enemies in its back, because we do not want our enemies to attack from everywhere. So let us clear this Sector!"
-  gametype=TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/menue/data/levels/lastManStanding.oxw
===================================================================
--- code/branches/menue/data/levels/lastManStanding.oxw	(revision 8931)
+++ code/branches/menue/data/levels/lastManStanding.oxw	(revision 8958)
@@ -17,7 +17,5 @@
 
 <Level
- name         = "Last Man Standing"
- description  = "testmap for gametype last man standing"
- gametype     =  "LastManStanding"
+ gametype = "LastManStanding"
 >
   <templates>
Index: code/branches/menue/data/levels/lastTeamStanding.oxw
===================================================================
--- code/branches/menue/data/levels/lastTeamStanding.oxw	(revision 8931)
+++ code/branches/menue/data/levels/lastTeamStanding.oxw	(revision 8958)
@@ -16,7 +16,5 @@
 
 <Level
- name         = "Last Team Standing"
- description  = "testmap for gametype last team standing"
- gametype     =  "LastTeamStanding"
+ gametype = "LastTeamStanding"
 >
   <templates>
Index: code/branches/menue/data/levels/lastTeamStandingII.oxw
===================================================================
--- code/branches/menue/data/levels/lastTeamStandingII.oxw	(revision 8931)
+++ code/branches/menue/data/levels/lastTeamStandingII.oxw	(revision 8958)
@@ -16,7 +16,5 @@
 
 <Level
- name         = "On the fly"
- description  = "testmap for gametype last team standing"
- gametype     =  "LastTeamStanding"
+ gametype = "LastTeamStanding"
 >
   <templates>
Index: code/branches/menue/data/levels/myTestLevel.oxw
===================================================================
--- code/branches/menue/data/levels/myTestLevel.oxw	(revision 8931)
+++ code/branches/menue/data/levels/myTestLevel.oxw	(revision 8958)
@@ -17,8 +17,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/notifications.oxw
===================================================================
--- code/branches/menue/data/levels/notifications.oxw	(revision 8931)
+++ code/branches/menue/data/levels/notifications.oxw	(revision 8958)
@@ -13,8 +13,5 @@
 ?>
 
-<Level
- name         = "Presentation"
- description  = "A simple testlevel"
->
+<Level>
     <templates>
         <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/pickups.oxw
===================================================================
--- code/branches/menue/data/levels/pickups.oxw	(revision 8931)
+++ code/branches/menue/data/levels/pickups.oxw	(revision 8958)
@@ -17,8 +17,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/pirateAttack.oxw
===================================================================
--- code/branches/menue/data/levels/pirateAttack.oxw	(revision 8931)
+++ code/branches/menue/data/levels/pirateAttack.oxw	(revision 8958)
@@ -27,7 +27,5 @@
     
 <Level
-name="Dani's Testlevel"
-description="Erste Versuche mit den Quests"
-gametype=TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
 
Index: code/branches/menue/data/levels/planets.oxw
===================================================================
--- code/branches/menue/data/levels/planets.oxw	(revision 8931)
+++ code/branches/menue/data/levels/planets.oxw	(revision 8958)
@@ -13,8 +13,5 @@
 ?>
 
-<Level
- name         = "Planet"
- description  = "Demonstration of Planets"
->
+<Level>
   <templates>
     <Template link="lodtemplate_default" />
Index: code/branches/menue/data/levels/pong.oxw
===================================================================
--- code/branches/menue/data/levels/pong.oxw	(revision 8931)
+++ code/branches/menue/data/levels/pong.oxw	(revision 8958)
@@ -50,7 +50,5 @@
 
 <Level
- name         = "Pong"
- description  = "Pong in space!"
- gametype     = Pong
+ gametype = "Pong"
 >
   <templates>
Index: code/branches/menue/data/levels/portals.oxw
===================================================================
--- code/branches/menue/data/levels/portals.oxw	(revision 8931)
+++ code/branches/menue/data/levels/portals.oxw	(revision 8958)
@@ -15,8 +15,5 @@
 ?>
 
-<Level
- name         = "Presentation"
- description  = "A simple testlevel"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/presentation.oxw
===================================================================
--- code/branches/menue/data/levels/presentation.oxw	(revision 8931)
+++ code/branches/menue/data/levels/presentation.oxw	(revision 8958)
@@ -13,8 +13,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/presentation09.oxw
===================================================================
--- code/branches/menue/data/levels/presentation09.oxw	(revision 8931)
+++ code/branches/menue/data/levels/presentation09.oxw	(revision 8958)
@@ -14,9 +14,5 @@
 ?>
 
-<Level
- name         = "Presentation09"
- description  = "presentation level for Orxonox Convention X"
-
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/presentation09b.oxw
===================================================================
--- code/branches/menue/data/levels/presentation09b.oxw	(revision 8931)
+++ code/branches/menue/data/levels/presentation09b.oxw	(revision 8958)
@@ -17,7 +17,5 @@
 
 <Level
- name         = "Presentation09"
- description  = "presentation level for Orxonox Convention X"
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/menue/data/levels/presentationDM.oxw
===================================================================
--- code/branches/menue/data/levels/presentationDM.oxw	(revision 8931)
+++ code/branches/menue/data/levels/presentationDM.oxw	(revision 8958)
@@ -15,7 +15,5 @@
 
 <Level
- name         = "Presentation"
- description  = "A simple testlevel"
- gametype     = Deathmatch
+ gametype = "Deathmatch"
 >
   <templates>
Index: code/branches/menue/data/levels/presentationFS10.oxw
===================================================================
--- code/branches/menue/data/levels/presentationFS10.oxw	(revision 8931)
+++ code/branches/menue/data/levels/presentationFS10.oxw	(revision 8958)
@@ -20,7 +20,5 @@
 
 <Level
- name         = "Sample"
- description  = "Just a few tests"
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/menue/data/levels/presentationFS102.oxw
===================================================================
--- code/branches/menue/data/levels/presentationFS102.oxw	(revision 8931)
+++ code/branches/menue/data/levels/presentationFS102.oxw	(revision 8958)
@@ -15,8 +15,5 @@
 ?>
 
-<Level
- name         = "fps"
- description  = "tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/presentationFS10Ed.oxw
===================================================================
--- code/branches/menue/data/levels/presentationFS10Ed.oxw	(revision 8931)
+++ code/branches/menue/data/levels/presentationFS10Ed.oxw	(revision 8958)
@@ -15,8 +15,5 @@
 ?>
 
-<Level
- name         = "fps"
- description  = "tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/presentationFS11.oxw
===================================================================
--- code/branches/menue/data/levels/presentationFS11.oxw	(revision 8931)
+++ code/branches/menue/data/levels/presentationFS11.oxw	(revision 8958)
@@ -22,8 +22,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/presentationHS09.oxw
===================================================================
--- code/branches/menue/data/levels/presentationHS09.oxw	(revision 8931)
+++ code/branches/menue/data/levels/presentationHS09.oxw	(revision 8958)
@@ -17,7 +17,5 @@
 
 <Level
- name         = "Presentation09"
- description  = "presentation level for Orxonox Convention X"
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
  hasPhysics = true
 >
Index: code/branches/menue/data/levels/presentationHS09b.oxw
===================================================================
--- code/branches/menue/data/levels/presentationHS09b.oxw	(revision 8931)
+++ code/branches/menue/data/levels/presentationHS09b.oxw	(revision 8958)
@@ -23,7 +23,5 @@
 
 <Level
- name         = "Sample"
- description  = "Just a few tests"
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/menue/data/levels/princessAeryn.oxw
===================================================================
--- code/branches/menue/data/levels/princessAeryn.oxw	(revision 8931)
+++ code/branches/menue/data/levels/princessAeryn.oxw	(revision 8958)
@@ -17,8 +17,5 @@
 ?>
 
-<Level
- name     = "The Tale of Princess Aeryn"
- description  = "The Tale of Princess Aeryn"
->
+<Level>
 
   <templates>
Index: code/branches/menue/data/levels/quests.oxw
===================================================================
--- code/branches/menue/data/levels/quests.oxw	(revision 8931)
+++ code/branches/menue/data/levels/quests.oxw	(revision 8958)
@@ -13,8 +13,5 @@
 ?>
 
-<Level
- name         = "Questsystem"
- description  = "Just a few tests"
->
+<Level>
     <templates>
         <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/screenshot.oxw
===================================================================
--- code/branches/menue/data/levels/screenshot.oxw	(revision 8931)
+++ code/branches/menue/data/levels/screenshot.oxw	(revision 8958)
@@ -16,7 +16,5 @@
 
 <Level
- name         = "Waypoints"
- description  = "Testing waypoings for AI controlled spaceships."
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/menue/data/levels/shieldTest.oxw
===================================================================
--- code/branches/menue/data/levels/shieldTest.oxw	(revision 8931)
+++ code/branches/menue/data/levels/shieldTest.oxw	(revision 8958)
@@ -13,8 +13,5 @@
 ?>
 
-<Level
- name         = "shieldTL"
- description  = "LEVEL-DESCRIPTION"
->
+<Level>
 
 <templates>
Index: code/branches/menue/data/levels/sound.oxw
===================================================================
--- code/branches/menue/data/levels/sound.oxw	(revision 8931)
+++ code/branches/menue/data/levels/sound.oxw	(revision 8958)
@@ -17,8 +17,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/spaceRace.oxw
===================================================================
--- code/branches/menue/data/levels/spaceRace.oxw	(revision 8931)
+++ code/branches/menue/data/levels/spaceRace.oxw	(revision 8958)
@@ -18,7 +18,5 @@
 
 <Level
- name         = "Space Race"
- description  = "Test level for the gametype Space Race."
- gametype     = SpaceRace
+ gametype = "SpaceRace"
 >
   <templates>
Index: code/branches/menue/data/levels/teamBaseMatch.oxw
===================================================================
--- code/branches/menue/data/levels/teamBaseMatch.oxw	(revision 8931)
+++ code/branches/menue/data/levels/teamBaseMatch.oxw	(revision 8958)
@@ -16,7 +16,5 @@
 
 <Level
- name         = "Teambase Match"
- description  = "Fight for the bases."
- gametype     = TeamBaseMatch
+ gametype = "TeamBaseMatch"
 >
 
Index: code/branches/menue/data/levels/teamDeathMatch.oxw
===================================================================
--- code/branches/menue/data/levels/teamDeathMatch.oxw	(revision 8931)
+++ code/branches/menue/data/levels/teamDeathMatch.oxw	(revision 8958)
@@ -16,7 +16,5 @@
 
 <Level
- name         = "Team Deathmatch"
- description  = "Fight against each other in teams."
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/menue/data/levels/testStars.oxw
===================================================================
--- code/branches/menue/data/levels/testStars.oxw	(revision 8931)
+++ code/branches/menue/data/levels/testStars.oxw	(revision 8958)
@@ -17,8 +17,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/testSwallow.oxw
===================================================================
--- code/branches/menue/data/levels/testSwallow.oxw	(revision 8931)
+++ code/branches/menue/data/levels/testSwallow.oxw	(revision 8958)
@@ -14,9 +14,5 @@
 ?>
 
-<Level
- name         = "Presentation_swallow"
- description  = "presentation level for Orxonox Convention X"
-
->
+<Level>
 
   <templates>
Index: code/branches/menue/data/levels/tetris.oxw
===================================================================
--- code/branches/menue/data/levels/tetris.oxw	(revision 8931)
+++ code/branches/menue/data/levels/tetris.oxw	(revision 8958)
@@ -31,7 +31,5 @@
 
 <Level
- name         = "Tetris"
- description  = "Tetris in space!"
- gametype     = "Tetris"
+ gametype = "Tetris"
 >
   <templates>
Index: code/branches/menue/data/levels/theTimeMachine.oxw
===================================================================
--- code/branches/menue/data/levels/theTimeMachine.oxw	(revision 8931)
+++ code/branches/menue/data/levels/theTimeMachine.oxw	(revision 8958)
@@ -62,7 +62,5 @@
 
 <Level
-    name="The Time Machine"
-    description="A simple level. The only goal is to defeat as much enemies as you can."
-    gametype=TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
     <templates>
Index: code/branches/menue/data/levels/tutorial.oxw
===================================================================
--- code/branches/menue/data/levels/tutorial.oxw	(revision 8931)
+++ code/branches/menue/data/levels/tutorial.oxw	(revision 8958)
@@ -13,8 +13,5 @@
 ?>
 
-<Level
- name         = "Presentation"
- description  = "A simple testlevel"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/menue/data/levels/underAttack.oxw
===================================================================
--- code/branches/menue/data/levels/underAttack.oxw	(revision 8931)
+++ code/branches/menue/data/levels/underAttack.oxw	(revision 8958)
@@ -15,7 +15,5 @@
 
 <Level
- name         = "Under Attack"
- description  = "Fight against the transporter."
- gametype     = UnderAttack
+ gametype = "UnderAttack"
 >
   <templates>
Index: code/branches/menue/data/levels/waypoints.oxw
===================================================================
--- code/branches/menue/data/levels/waypoints.oxw	(revision 8931)
+++ code/branches/menue/data/levels/waypoints.oxw	(revision 8958)
@@ -15,8 +15,5 @@
 ?>
 
-<Level
- name         = "Waypoints"
- description  = "Testing waypoings for AI controlled spaceships."
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />